"""
@author: luojunhui
任务常量配置文件
"""


class coldStartTaskConst:
    """
    冷启动任务常量配置
    """
    PUBLISHED_STATUS = 2  # 文章已发布状态
    INIT_STATUS = 1  # 文章初始状态
    BAD_STATUS = 0  # 低质量文章状态


class updatePublishedMsgTaskConst:
    """
    更新已发布文章消息常量配置
    """
    # 爬虫详情接口返回code
    ARTICLE_DELETE_CODE = 25005
    ARTICLE_SUCCESS_CODE = 0

    # 请求爬虫详情接口状态码
    # 记录默认状态
    DEFAULT_STATUS = 0
    # 请求接口失败状态
    REQUEST_FAIL_STATUS = -1
    # 文章被删除状态
    DELETE_STATUS = -2
    # 未知原因无信息返回状态
    UNKNOWN_STATUS = -3

    # 公众号类型（订阅号 or 服务号）
    # 订阅号
    SUBSCRIBE_TYPE_SET = {0, 1}
    # 服务号
    SERVICE_TYPE = 2
